package com.huashe.park.domain.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.alibaba.fastjson2.JSONArray;
import com.huashe.common.annotation.Excel;
import com.huashe.common.domain.BaseEntity;

/**
 * 考勤组对象 park_attend_group
 *
 * @author ruoyi
 * @date 2025-01-08
 */
public class ParkAttendGroup extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private Long id;

    /**
     * 考勤组名称
     */
    @Excel(name = "考勤组名称")
    private String name;

    /**
     * 考勤范围
     */
    @Excel(name = "考勤范围")
    private String poly;

    /**
     * 考勤时间
     */
    @Excel(name = "考勤时间")
    private JSONArray timeRange;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setPoly(String poly) {
        this.poly = poly;
    }

    public String getPoly() {
        return poly;
    }

    public JSONArray getTimeRange() {
        return timeRange;
    }

    public void setTimeRange(JSONArray timeRange) {
        this.timeRange = timeRange;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("name", getName())
            .append("remark", getRemark()).append("poly", getPoly()).append("timeRange", getTimeRange())
            .append("updateTime", getUpdateTime()).append("createTime", getCreateTime())
            .append("createBy", getCreateBy()).append("updateBy", getUpdateBy()).append("tenantId", getTenantId())
            .toString();
    }
}
